Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Open MPI and multiple Torque versions
From: Reuti (reuti_at_[hidden])
Date: 2014-01-27 08:37:22


Hi,

Am 27.01.2014 um 14:14 schrieb Christoph Niethammer:

> I am maintaining several Open MPI installations from the 1.6 and 1.7 series and different compilers.

...and installed in different locations I assume.

> Open MPI is build with torque support and shared and static bindings.

So you have a version for Torque version A and Torque version B, i.e. some permutations of Open MPI and Torque versions.

> Different Torque installations are present and managed via the modules environment.

In one and the same cluster you are running two different versions of Torque?

> Would it be possible to switch the torque version by modification of PATH and LD_LIBRARY_PATH or will I have to face problems in this case?

When they are installed in the location where "--prefix=..." pointed to during `./configure` it will work. If you moved them afterwards to different locations, it might be necessary to point OPAL_PREFIX to the destination you moved it to before you call `mpiexec`.

But you will have to have different compiled versions of your applications too. Between 1.6 and 1.7 the ABI may have changed, only the combination odd + next even major release of Open MPI is guaranteed to have the same ABI.

-- Reuti

> Grepping through the Open MPI installations for torque used during installation gave me some hits in binaries like mpirun or the static libs.
> I would appreciate any hints.
>
> Best regards
> Christoph Niethammer
> _______________________________________________
> users mailing list
> users_at_[hidden]
> http://www.open-mpi.org/mailman/listinfo.cgi/users